|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QItemEditorFactory Class Reference

The QItemEditorFactory class provides widgets for editing item data in views and delegates. More...

    #include <QItemEditorFactory>

Part of the QtGui module.

- List of all members, including inherited members

### Public Functions

- QItemEditorFactory ()
- virtual ~QItemEditorFactory ()
- virtual QWidget * createEditor ( QVariant::Type type, QWidget * parent ) const
- void registerEditor ( QVariant::Type type, QItemEditorCreatorBase * creator )
- virtual QByteArray valuePropertyName ( QVariant::Type type ) const

### Static Public Members

- const QItemEditorFactory * defaultFactory ()
- void setDefaultFactory ( QItemEditorFactory * factory )

## Detailed Description

The QItemEditorFactory class provides widgets for editing item data in views and delegates.

When editing the data shown by an item delegate, the QItemDelegate responsible requests an editor widget from its item editor factory. The default factory is provided by this class, but it is possible to implement subclasses that provide specialized editing behavior, such as row or column-specific editors, or editors for certain types of data.

See also QItemDelegate.

## Member Function Documentation

### QItemEditorFactory::QItemEditorFactory ()

Constructs a new item editor factory.

### QItemEditorFactory::~QItemEditorFactory () `[virtual]`

Destroys the item editor factory.

### QWidget * QItemEditorFactory::createEditor ( QVariant::Type type, QWidget * parent ) const `[virtual]`

Creates an editor widget with the given parent for the specified type of data, and returns it as a QWidget.

See also registerEditor().

### const QItemEditorFactory * QItemEditorFactory::defaultFactory () `[static]`

Returns the default item editor factory.

See also setDefaultFactory().

### void QItemEditorFactory::registerEditor ( QVariant::Type type, QItemEditorCreatorBase * creator )

Registers an item editor creator specified by creator for the given type of data.

See also createEditor().

### void QItemEditorFactory::setDefaultFactory ( QItemEditorFactory * factory ) `[static]`

Sets the default item editor factory to the given factory.

See also defaultFactory().

### QByteArray QItemEditorFactory::valuePropertyName ( QVariant::Type type ) const `[virtual]`

Returns the property name used to identify the given type of data.